<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: framework::sensor::SimuAhrs Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1sensor_1_1_simu_ahrs.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1sensor_1_1_simu_ahrs-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::sensor::SimuAhrs Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class for a simulation ahrs.  
 <a href="classframework_1_1sensor_1_1_simu_ahrs.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_simu_ahrs_8h_source.html">SimuAhrs.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::sensor::SimuAhrs:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1sensor_1_1_simu_ahrs.png" usemap="#framework::sensor::SimuAhrs_map" alt=""/>
  <map id="framework::sensor::SimuAhrs_map" name="framework::sensor::SimuAhrs_map">
<area href="classframework_1_1filter_1_1_ahrs.html" title="Abstract class for AHRS. " alt="framework::filter::Ahrs" shape="rect" coords="0,112,175,136"/>
<area href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. " alt="framework::core::IODevice" shape="rect" coords="0,56,175,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,175,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6948ed8259607bde3ea39c5ea55410d0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6948ed8259607bde3ea39c5ea55410d0"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>SimuAhrs</b> (const <a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name, uint32_t dev_id, uint8_t priority)</td></tr>
<tr class="separator:a6948ed8259607bde3ea39c5ea55410d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5931e21cd398f49ef0adf830a7f90c82"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5931e21cd398f49ef0adf830a7f90c82"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Start</b> (void)</td></tr>
<tr class="separator:a5931e21cd398f49ef0adf830a7f90c82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1filter_1_1_ahrs"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1filter_1_1_ahrs')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1filter_1_1_ahrs.html">framework::filter::Ahrs</a></td></tr>
<tr class="memitem:aeae76d4e3d08ecb236512ccb54cb9881 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#aeae76d4e3d08ecb236512ccb54cb9881">Ahrs</a> (const <a class="el" href="classframework_1_1sensor_1_1_imu.html">sensor::Imu</a> *parent, std::string name)</td></tr>
<tr class="memdesc:aeae76d4e3d08ecb236512ccb54cb9881 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aeae76d4e3d08ecb236512ccb54cb9881">More...</a><br/></td></tr>
<tr class="separator:aeae76d4e3d08ecb236512ccb54cb9881 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a612a8b455de26e6b58f443aecf43e358 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#a612a8b455de26e6b58f443aecf43e358">~Ahrs</a> ()</td></tr>
<tr class="memdesc:a612a8b455de26e6b58f443aecf43e358 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a612a8b455de26e6b58f443aecf43e358">More...</a><br/></td></tr>
<tr class="separator:a612a8b455de26e6b58f443aecf43e358 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9a26e7aec4efcc040c2f61332d45af9 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#aa9a26e7aec4efcc040c2f61332d45af9">GetEuler</a> (<a class="el" href="classframework_1_1core_1_1_euler.html">core::Euler</a> &amp;euler) const </td></tr>
<tr class="memdesc:aa9a26e7aec4efcc040c2f61332d45af9 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get euler angles.  <a href="#aa9a26e7aec4efcc040c2f61332d45af9">More...</a><br/></td></tr>
<tr class="separator:aa9a26e7aec4efcc040c2f61332d45af9 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa69f11b3107c62872b6f16bd80c59c13 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#aa69f11b3107c62872b6f16bd80c59c13">GetAngSpeed</a> (<a class="el" href="classframework_1_1core_1_1_point3_d.html">core::Point3D</a> &amp;point) const </td></tr>
<tr class="memdesc:aa69f11b3107c62872b6f16bd80c59c13 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get angular speed.  <a href="#aa69f11b3107c62872b6f16bd80c59c13">More...</a><br/></td></tr>
<tr class="separator:aa69f11b3107c62872b6f16bd80c59c13 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8eba4a64ca1ea00eb5a7ee82e0902b7 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#ab8eba4a64ca1ea00eb5a7ee82e0902b7">Lock</a> (void) const </td></tr>
<tr class="memdesc:ab8eba4a64ca1ea00eb5a7ee82e0902b7 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lock the graphical interface.  <a href="#ab8eba4a64ca1ea00eb5a7ee82e0902b7">More...</a><br/></td></tr>
<tr class="separator:ab8eba4a64ca1ea00eb5a7ee82e0902b7 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacdcc27d55046274c1c73f9687cebb42 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#aacdcc27d55046274c1c73f9687cebb42">Unlock</a> (void) const </td></tr>
<tr class="memdesc:aacdcc27d55046274c1c73f9687cebb42 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unlock the graphical interface.  <a href="#aacdcc27d55046274c1c73f9687cebb42">More...</a><br/></td></tr>
<tr class="separator:aacdcc27d55046274c1c73f9687cebb42 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abef8aab89f59d74586fddd1badbc28ec inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#abef8aab89f59d74586fddd1badbc28ec">UseDefaultPlot</a> (void)</td></tr>
<tr class="memdesc:abef8aab89f59d74586fddd1badbc28ec inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use default plot.  <a href="#abef8aab89f59d74586fddd1badbc28ec">More...</a><br/></td></tr>
<tr class="separator:abef8aab89f59d74586fddd1badbc28ec inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb8f9fde0e7766eda66d422d550c17ac inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_tab.html">gui::Tab</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#adb8f9fde0e7766eda66d422d550c17ac">PlotTab</a> (void) const </td></tr>
<tr class="memdesc:adb8f9fde0e7766eda66d422d550c17ac inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Plot tab.  <a href="#adb8f9fde0e7766eda66d422d550c17ac">More...</a><br/></td></tr>
<tr class="separator:adb8f9fde0e7766eda66d422d550c17ac inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa342497b5110ca1e7573346c6dc441a inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#afa342497b5110ca1e7573346c6dc441a">RollPlot</a> (void) const </td></tr>
<tr class="memdesc:afa342497b5110ca1e7573346c6dc441a inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Roll plot.  <a href="#afa342497b5110ca1e7573346c6dc441a">More...</a><br/></td></tr>
<tr class="separator:afa342497b5110ca1e7573346c6dc441a inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c3b54638eaed16780728f6d558cfb7b inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#a2c3b54638eaed16780728f6d558cfb7b">PitchPlot</a> (void) const </td></tr>
<tr class="memdesc:a2c3b54638eaed16780728f6d558cfb7b inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pitch plot.  <a href="#a2c3b54638eaed16780728f6d558cfb7b">More...</a><br/></td></tr>
<tr class="separator:a2c3b54638eaed16780728f6d558cfb7b inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a754a991dac487ba3e38c4dfe36926bf3 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#a754a991dac487ba3e38c4dfe36926bf3">YawPlot</a> (void) const </td></tr>
<tr class="memdesc:a754a991dac487ba3e38c4dfe36926bf3 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Yaw plot.  <a href="#a754a991dac487ba3e38c4dfe36926bf3">More...</a><br/></td></tr>
<tr class="separator:a754a991dac487ba3e38c4dfe36926bf3 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee882c2dfa4df4cf549ea95f1af6c921 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#aee882c2dfa4df4cf549ea95f1af6c921">WXPlot</a> (void) const </td></tr>
<tr class="memdesc:aee882c2dfa4df4cf549ea95f1af6c921 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation speed around x axis plot.  <a href="#aee882c2dfa4df4cf549ea95f1af6c921">More...</a><br/></td></tr>
<tr class="separator:aee882c2dfa4df4cf549ea95f1af6c921 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a572448621cc101404f0eb52902738c49 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#a572448621cc101404f0eb52902738c49">WYPlot</a> (void) const </td></tr>
<tr class="memdesc:a572448621cc101404f0eb52902738c49 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation speed around y axis plot.  <a href="#a572448621cc101404f0eb52902738c49">More...</a><br/></td></tr>
<tr class="separator:a572448621cc101404f0eb52902738c49 inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d3a96a1bf225f4ddbe5fe9c4de50a7b inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#a4d3a96a1bf225f4ddbe5fe9c4de50a7b">WZPlot</a> (void) const </td></tr>
<tr class="memdesc:a4d3a96a1bf225f4ddbe5fe9c4de50a7b inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation speed around z axis plot.  <a href="#a4d3a96a1bf225f4ddbe5fe9c4de50a7b">More...</a><br/></td></tr>
<tr class="separator:a4d3a96a1bf225f4ddbe5fe9c4de50a7b inherit pub_methods_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a38daac1daa593059f052e1f8fbca5644">IODevice</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a38daac1daa593059f052e1f8fbca5644">More...</a><br/></td></tr>
<tr class="separator:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#aca7bca58d80d05ade95107d40cc54edd">~IODevice</a> ()</td></tr>
<tr class="memdesc:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aca7bca58d80d05ade95107d40cc54edd">More...</a><br/></td></tr>
<tr class="separator:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a7e7f5d82cab621b617ee19a268e19480">AddDeviceToLog</a> (const <a class="el" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#a7e7f5d82cab621b617ee19a268e19480">More...</a><br/></td></tr>
<tr class="separator:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br/></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br/></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br/></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br/></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br/></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br/></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br/></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br/></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br/></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br/></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a50eb13bc82e98bc0e170d77bba026de4">ProcessUpdate</a> (<a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process the childs of type <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>, and log if needed.  <a href="#a50eb13bc82e98bc0e170d77bba026de4">More...</a><br/></td></tr>
<tr class="separator:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a120d64070906a39d21c6fe0953c6fa2a inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a120d64070906a39d21c6fe0953c6fa2a">SetDataToLog</a> (const <a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a120d64070906a39d21c6fe0953c6fa2a inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> to be logged.  <a href="#a120d64070906a39d21c6fe0953c6fa2a">More...</a><br/></td></tr>
<tr class="separator:a120d64070906a39d21c6fe0953c6fa2a inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classframework_1_1filter_1_1_ahrs"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classframework_1_1filter_1_1_ahrs')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classframework_1_1filter_1_1_ahrs.html">framework::filter::Ahrs</a></td></tr>
<tr class="memitem:ad9fec34317180c93ee1b3dcceb1535b4 inherit pro_attribs_classframework_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_imu_data.html">core::ImuData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_ahrs.html#ad9fec34317180c93ee1b3dcceb1535b4">imudata</a></td></tr>
<tr class="memdesc:ad9fec34317180c93ee1b3dcceb1535b4 inherit pro_attribs_classframework_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">ImuData.  <a href="#ad9fec34317180c93ee1b3dcceb1535b4">More...</a><br/></td></tr>
<tr class="separator:ad9fec34317180c93ee1b3dcceb1535b4 inherit pro_attribs_classframework_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class for a simulation ahrs. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1sensor.html">sensor</a></li><li class="navelem"><a class="el" href="classframework_1_1sensor_1_1_simu_ahrs.html">SimuAhrs</a></li>
    <li class="footer">Generated on Fri Apr 4 2014 14:47:50 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
